/*
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.apache.camel.kafkaconnector.web3j;

import java.util.Map;
import javax.annotation.Generated;
import org.apache.camel.kafkaconnector.CamelSinkConnectorConfig;
import org.apache.kafka.common.config.ConfigDef;

@Generated("This class has been generated by camel-kafka-connector-generator-maven-plugin, remove this annotation to prevent it from being generated.")
public class CamelWeb3jSinkConnectorConfig extends CamelSinkConnectorConfig {

    public static final String CAMEL_SINK_WEB3J_PATH_NODE_ADDRESS_CONF = "camel.sink.path.nodeAddress";
    public static final String CAMEL_SINK_WEB3J_PATH_NODE_ADDRESS_DOC = "Sets the node address used to communicate";
    public static final String CAMEL_SINK_WEB3J_PATH_NODE_ADDRESS_DEFAULT = null;
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_ADDRESSES_CONF = "camel.sink.endpoint.addresses";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_ADDRESSES_DOC = "Contract address or a list of addresses.";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_ADDRESSES_DEFAULT = null;
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_FROM_ADDRESS_CONF = "camel.sink.endpoint.fromAddress";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_FROM_ADDRESS_DOC = "The address the transaction is send from";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_FROM_ADDRESS_DEFAULT = null;
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_FROM_BLOCK_CONF = "camel.sink.endpoint.fromBlock";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_FROM_BLOCK_DOC = "The block number, or the string latest for the last mined block or pending, earliest for not yet mined transactions.";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_FROM_BLOCK_DEFAULT = "latest";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_FULL_TRANSACTION_OBJECTS_CONF = "camel.sink.endpoint.fullTransactionObjects";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_FULL_TRANSACTION_OBJECTS_DOC = "If true it returns the full transaction objects, if false only the hashes of the transactions.";
    public static final Boolean CAMEL_SINK_WEB3J_ENDPOINT_FULL_TRANSACTION_OBJECTS_DEFAULT = false;
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_GAS_LIMIT_CONF = "camel.sink.endpoint.gasLimit";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_GAS_LIMIT_DOC = "The maximum gas allowed in this block.";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_GAS_LIMIT_DEFAULT = null;
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_PRIVATE_FOR_CONF = "camel.sink.endpoint.privateFor";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_PRIVATE_FOR_DOC = "A transaction privateFor nodes with public keys in a Quorum network";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_PRIVATE_FOR_DEFAULT = null;
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_QUORUM_APICONF = "camel.sink.endpoint.quorumAPI";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_QUORUM_APIDOC = "If true, this will support Quorum API.";
    public static final Boolean CAMEL_SINK_WEB3J_ENDPOINT_QUORUM_APIDEFAULT = false;
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_TO_ADDRESS_CONF = "camel.sink.endpoint.toAddress";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_TO_ADDRESS_DOC = "The address the transaction is directed to.";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_TO_ADDRESS_DEFAULT = null;
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_TO_BLOCK_CONF = "camel.sink.endpoint.toBlock";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_TO_BLOCK_DOC = "The block number, or the string latest for the last mined block or pending, earliest for not yet mined transactions.";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_TO_BLOCK_DEFAULT = "latest";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_TOPICS_CONF = "camel.sink.endpoint.topics";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_TOPICS_DOC = "Topics are order-dependent. Each topic can also be a list of topics. Specify multiple topics separated by comma.";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_TOPICS_DEFAULT = null;
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_WEB_3JCONF = "camel.sink.endpoint.web3j";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_WEB_3JDOC = "The preconfigured Web3j object.";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_WEB_3JDEFAULT = null;
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_ADDRESS_CONF = "camel.sink.endpoint.address";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_ADDRESS_DOC = "Contract address.";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_ADDRESS_DEFAULT = null;
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_AT_BLOCK_CONF = "camel.sink.endpoint.atBlock";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_AT_BLOCK_DOC = "The block number, or the string latest for the last mined block or pending, earliest for not yet mined transactions.";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_AT_BLOCK_DEFAULT = "latest";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_BLOCK_HASH_CONF = "camel.sink.endpoint.blockHash";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_BLOCK_HASH_DOC = "Hash of the block where this transaction was in.";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_BLOCK_HASH_DEFAULT = null;
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_CLIENT_ID_CONF = "camel.sink.endpoint.clientId";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_CLIENT_ID_DOC = "A random hexadecimal(32 bytes) ID identifying the client.";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_CLIENT_ID_DEFAULT = null;
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_DATA_CONF = "camel.sink.endpoint.data";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_DATA_DOC = "The compiled code of a contract OR the hash of the invoked method signature and encoded parameters.";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_DATA_DEFAULT = null;
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_DATABASE_NAME_CONF = "camel.sink.endpoint.databaseName";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_DATABASE_NAME_DOC = "The local database name.";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_DATABASE_NAME_DEFAULT = null;
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_FILTER_ID_CONF = "camel.sink.endpoint.filterId";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_FILTER_ID_DOC = "The filter id to use.";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_FILTER_ID_DEFAULT = null;
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_GAS_PRICE_CONF = "camel.sink.endpoint.gasPrice";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_GAS_PRICE_DOC = "Gas price used for each paid gas.";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_GAS_PRICE_DEFAULT = null;
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_HASHRATE_CONF = "camel.sink.endpoint.hashrate";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_HASHRATE_DOC = "A hexadecimal string representation (32 bytes) of the hash rate.";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_HASHRATE_DEFAULT = null;
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_HEADER_POW_HASH_CONF = "camel.sink.endpoint.headerPowHash";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_HEADER_POW_HASH_DOC = "The header's pow-hash (256 bits) used for submitting a proof-of-work solution.";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_HEADER_POW_HASH_DEFAULT = null;
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_INDEX_CONF = "camel.sink.endpoint.index";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_INDEX_DOC = "The transactions/uncle index position in the block.";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_INDEX_DEFAULT = null;
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_KEY_NAME_CONF = "camel.sink.endpoint.keyName";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_KEY_NAME_DOC = "The key name in the database.";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_KEY_NAME_DEFAULT = null;
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_LAZY_START_PRODUCER_CONF = "camel.sink.endpoint.lazyStartProducer";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_LAZY_START_PRODUCER_DOC = "Whether the producer should be started lazy (on the first message). By starting lazy you can use this to allow CamelContext and routes to startup in situations where a producer may otherwise fail during starting and cause the route to fail being started. By deferring this startup to be lazy then the startup failure can be handled during routing messages via Camel's routing error handlers. Beware that when the first message is processed then creating and starting the producer may take a little time and prolong the total processing time of the processing.";
    public static final Boolean CAMEL_SINK_WEB3J_ENDPOINT_LAZY_START_PRODUCER_DEFAULT = false;
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_MIX_DIGEST_CONF = "camel.sink.endpoint.mixDigest";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_MIX_DIGEST_DOC = "The mix digest (256 bits) used for submitting a proof-of-work solution.";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_MIX_DIGEST_DEFAULT = null;
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_NONCE_CONF = "camel.sink.endpoint.nonce";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_NONCE_DOC = "The nonce found (64 bits) used for submitting a proof-of-work solution.";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_NONCE_DEFAULT = null;
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_OPERATION_CONF = "camel.sink.endpoint.operation";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_OPERATION_DOC = "Operation to use.";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_OPERATION_DEFAULT = "transaction";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_POSITION_CONF = "camel.sink.endpoint.position";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_POSITION_DOC = "The transaction index position withing a block.";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_POSITION_DEFAULT = null;
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_PRIORITY_CONF = "camel.sink.endpoint.priority";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_PRIORITY_DOC = "The priority of a whisper message.";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_PRIORITY_DEFAULT = null;
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_SHA_3HASH_OF_DATA_TO_SIGN_CONF = "camel.sink.endpoint.sha3HashOfDataToSign";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_SHA_3HASH_OF_DATA_TO_SIGN_DOC = "Message to sign by calculating an Ethereum specific signature.";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_SHA_3HASH_OF_DATA_TO_SIGN_DEFAULT = null;
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_SIGNED_TRANSACTION_DATA_CONF = "camel.sink.endpoint.signedTransactionData";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_SIGNED_TRANSACTION_DATA_DOC = "The signed transaction data for a new message call transaction or a contract creation for signed transactions.";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_SIGNED_TRANSACTION_DATA_DEFAULT = null;
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_SOURCE_CODE_CONF = "camel.sink.endpoint.sourceCode";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_SOURCE_CODE_DOC = "The source code to compile.";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_SOURCE_CODE_DEFAULT = null;
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_TRANSACTION_HASH_CONF = "camel.sink.endpoint.transactionHash";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_TRANSACTION_HASH_DOC = "The information about a transaction requested by transaction hash.";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_TRANSACTION_HASH_DEFAULT = null;
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_TTL_CONF = "camel.sink.endpoint.ttl";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_TTL_DOC = "The time to live in seconds of a whisper message.";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_TTL_DEFAULT = null;
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_VALUE_CONF = "camel.sink.endpoint.value";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_VALUE_DOC = "The value sent within a transaction.";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_VALUE_DEFAULT = null;
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_BASIC_PROPERTY_BINDING_CONF = "camel.sink.endpoint.basicPropertyBinding";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_BASIC_PROPERTY_BINDING_DOC = "Whether the endpoint should use basic property binding (Camel 2.x) or the newer property binding with additional capabilities";
    public static final Boolean CAMEL_SINK_WEB3J_ENDPOINT_BASIC_PROPERTY_BINDING_DEFAULT = false;
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_SYNCHRONOUS_CONF = "camel.sink.endpoint.synchronous";
    public static final String CAMEL_SINK_WEB3J_ENDPOINT_SYNCHRONOUS_DOC = "Sets whether synchronous processing should be strictly used, or Camel is allowed to use asynchronous processing (if supported).";
    public static final Boolean CAMEL_SINK_WEB3J_ENDPOINT_SYNCHRONOUS_DEFAULT = false;
    public static final String CAMEL_SINK_WEB3J_COMPONENT_CONFIGURATION_CONF = "camel.component.web3j.configuration";
    public static final String CAMEL_SINK_WEB3J_COMPONENT_CONFIGURATION_DOC = "Default configuration";
    public static final String CAMEL_SINK_WEB3J_COMPONENT_CONFIGURATION_DEFAULT = null;
    public static final String CAMEL_SINK_WEB3J_COMPONENT_LAZY_START_PRODUCER_CONF = "camel.component.web3j.lazyStartProducer";
    public static final String CAMEL_SINK_WEB3J_COMPONENT_LAZY_START_PRODUCER_DOC = "Whether the producer should be started lazy (on the first message). By starting lazy you can use this to allow CamelContext and routes to startup in situations where a producer may otherwise fail during starting and cause the route to fail being started. By deferring this startup to be lazy then the startup failure can be handled during routing messages via Camel's routing error handlers. Beware that when the first message is processed then creating and starting the producer may take a little time and prolong the total processing time of the processing.";
    public static final Boolean CAMEL_SINK_WEB3J_COMPONENT_LAZY_START_PRODUCER_DEFAULT = false;
    public static final String CAMEL_SINK_WEB3J_COMPONENT_BASIC_PROPERTY_BINDING_CONF = "camel.component.web3j.basicPropertyBinding";
    public static final String CAMEL_SINK_WEB3J_COMPONENT_BASIC_PROPERTY_BINDING_DOC = "Whether the component should use basic property binding (Camel 2.x) or the newer property binding with additional capabilities";
    public static final Boolean CAMEL_SINK_WEB3J_COMPONENT_BASIC_PROPERTY_BINDING_DEFAULT = false;

    public CamelWeb3jSinkConnectorConfig(
            ConfigDef config,
            Map<String, String> parsedConfig) {
        super(config, parsedConfig);
    }

    public CamelWeb3jSinkConnectorConfig(Map<String, String> parsedConfig) {
        this(conf(), parsedConfig);
    }

    public static ConfigDef conf() {
        ConfigDef conf = new ConfigDef(CamelSinkConnectorConfig.conf());
        conf.define(CAMEL_SINK_WEB3J_PATH_NODE_ADDRESS_CONF, ConfigDef.Type.STRING, CAMEL_SINK_WEB3J_PATH_NODE_ADDRESS_DEFAULT, ConfigDef.Importance.HIGH, CAMEL_SINK_WEB3J_PATH_NODE_ADDRESS_DOC);
        conf.define(CAMEL_SINK_WEB3J_ENDPOINT_ADDRESSES_CONF, ConfigDef.Type.STRING, CAMEL_SINK_WEB3J_ENDPOINT_ADDRESSES_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_WEB3J_ENDPOINT_ADDRESSES_DOC);
        conf.define(CAMEL_SINK_WEB3J_ENDPOINT_FROM_ADDRESS_CONF, ConfigDef.Type.STRING, CAMEL_SINK_WEB3J_ENDPOINT_FROM_ADDRESS_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_WEB3J_ENDPOINT_FROM_ADDRESS_DOC);
        conf.define(CAMEL_SINK_WEB3J_ENDPOINT_FROM_BLOCK_CONF, ConfigDef.Type.STRING, CAMEL_SINK_WEB3J_ENDPOINT_FROM_BLOCK_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_WEB3J_ENDPOINT_FROM_BLOCK_DOC);
        conf.define(CAMEL_SINK_WEB3J_ENDPOINT_FULL_TRANSACTION_OBJECTS_CONF, ConfigDef.Type.BOOLEAN, CAMEL_SINK_WEB3J_ENDPOINT_FULL_TRANSACTION_OBJECTS_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_WEB3J_ENDPOINT_FULL_TRANSACTION_OBJECTS_DOC);
        conf.define(CAMEL_SINK_WEB3J_ENDPOINT_GAS_LIMIT_CONF, ConfigDef.Type.STRING, CAMEL_SINK_WEB3J_ENDPOINT_GAS_LIMIT_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_WEB3J_ENDPOINT_GAS_LIMIT_DOC);
        conf.define(CAMEL_SINK_WEB3J_ENDPOINT_PRIVATE_FOR_CONF, ConfigDef.Type.STRING, CAMEL_SINK_WEB3J_ENDPOINT_PRIVATE_FOR_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_WEB3J_ENDPOINT_PRIVATE_FOR_DOC);
        conf.define(CAMEL_SINK_WEB3J_ENDPOINT_QUORUM_APICONF, ConfigDef.Type.BOOLEAN, CAMEL_SINK_WEB3J_ENDPOINT_QUORUM_APIDEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_WEB3J_ENDPOINT_QUORUM_APIDOC);
        conf.define(CAMEL_SINK_WEB3J_ENDPOINT_TO_ADDRESS_CONF, ConfigDef.Type.STRING, CAMEL_SINK_WEB3J_ENDPOINT_TO_ADDRESS_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_WEB3J_ENDPOINT_TO_ADDRESS_DOC);
        conf.define(CAMEL_SINK_WEB3J_ENDPOINT_TO_BLOCK_CONF, ConfigDef.Type.STRING, CAMEL_SINK_WEB3J_ENDPOINT_TO_BLOCK_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_WEB3J_ENDPOINT_TO_BLOCK_DOC);
        conf.define(CAMEL_SINK_WEB3J_ENDPOINT_TOPICS_CONF, ConfigDef.Type.STRING, CAMEL_SINK_WEB3J_ENDPOINT_TOPICS_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_WEB3J_ENDPOINT_TOPICS_DOC);
        conf.define(CAMEL_SINK_WEB3J_ENDPOINT_WEB_3JCONF, ConfigDef.Type.STRING, CAMEL_SINK_WEB3J_ENDPOINT_WEB_3JDEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_WEB3J_ENDPOINT_WEB_3JDOC);
        conf.define(CAMEL_SINK_WEB3J_ENDPOINT_ADDRESS_CONF, ConfigDef.Type.STRING, CAMEL_SINK_WEB3J_ENDPOINT_ADDRESS_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_WEB3J_ENDPOINT_ADDRESS_DOC);
        conf.define(CAMEL_SINK_WEB3J_ENDPOINT_AT_BLOCK_CONF, ConfigDef.Type.STRING, CAMEL_SINK_WEB3J_ENDPOINT_AT_BLOCK_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_WEB3J_ENDPOINT_AT_BLOCK_DOC);
        conf.define(CAMEL_SINK_WEB3J_ENDPOINT_BLOCK_HASH_CONF, ConfigDef.Type.STRING, CAMEL_SINK_WEB3J_ENDPOINT_BLOCK_HASH_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_WEB3J_ENDPOINT_BLOCK_HASH_DOC);
        conf.define(CAMEL_SINK_WEB3J_ENDPOINT_CLIENT_ID_CONF, ConfigDef.Type.STRING, CAMEL_SINK_WEB3J_ENDPOINT_CLIENT_ID_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_WEB3J_ENDPOINT_CLIENT_ID_DOC);
        conf.define(CAMEL_SINK_WEB3J_ENDPOINT_DATA_CONF, ConfigDef.Type.STRING, CAMEL_SINK_WEB3J_ENDPOINT_DATA_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_WEB3J_ENDPOINT_DATA_DOC);
        conf.define(CAMEL_SINK_WEB3J_ENDPOINT_DATABASE_NAME_CONF, ConfigDef.Type.STRING, CAMEL_SINK_WEB3J_ENDPOINT_DATABASE_NAME_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_WEB3J_ENDPOINT_DATABASE_NAME_DOC);
        conf.define(CAMEL_SINK_WEB3J_ENDPOINT_FILTER_ID_CONF, ConfigDef.Type.STRING, CAMEL_SINK_WEB3J_ENDPOINT_FILTER_ID_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_WEB3J_ENDPOINT_FILTER_ID_DOC);
        conf.define(CAMEL_SINK_WEB3J_ENDPOINT_GAS_PRICE_CONF, ConfigDef.Type.STRING, CAMEL_SINK_WEB3J_ENDPOINT_GAS_PRICE_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_WEB3J_ENDPOINT_GAS_PRICE_DOC);
        conf.define(CAMEL_SINK_WEB3J_ENDPOINT_HASHRATE_CONF, ConfigDef.Type.STRING, CAMEL_SINK_WEB3J_ENDPOINT_HASHRATE_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_WEB3J_ENDPOINT_HASHRATE_DOC);
        conf.define(CAMEL_SINK_WEB3J_ENDPOINT_HEADER_POW_HASH_CONF, ConfigDef.Type.STRING, CAMEL_SINK_WEB3J_ENDPOINT_HEADER_POW_HASH_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_WEB3J_ENDPOINT_HEADER_POW_HASH_DOC);
        conf.define(CAMEL_SINK_WEB3J_ENDPOINT_INDEX_CONF, ConfigDef.Type.STRING, CAMEL_SINK_WEB3J_ENDPOINT_INDEX_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_WEB3J_ENDPOINT_INDEX_DOC);
        conf.define(CAMEL_SINK_WEB3J_ENDPOINT_KEY_NAME_CONF, ConfigDef.Type.STRING, CAMEL_SINK_WEB3J_ENDPOINT_KEY_NAME_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_WEB3J_ENDPOINT_KEY_NAME_DOC);
        conf.define(CAMEL_SINK_WEB3J_ENDPOINT_LAZY_START_PRODUCER_CONF, ConfigDef.Type.BOOLEAN, CAMEL_SINK_WEB3J_ENDPOINT_LAZY_START_PRODUCER_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_WEB3J_ENDPOINT_LAZY_START_PRODUCER_DOC);
        conf.define(CAMEL_SINK_WEB3J_ENDPOINT_MIX_DIGEST_CONF, ConfigDef.Type.STRING, CAMEL_SINK_WEB3J_ENDPOINT_MIX_DIGEST_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_WEB3J_ENDPOINT_MIX_DIGEST_DOC);
        conf.define(CAMEL_SINK_WEB3J_ENDPOINT_NONCE_CONF, ConfigDef.Type.STRING, CAMEL_SINK_WEB3J_ENDPOINT_NONCE_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_WEB3J_ENDPOINT_NONCE_DOC);
        conf.define(CAMEL_SINK_WEB3J_ENDPOINT_OPERATION_CONF, ConfigDef.Type.STRING, CAMEL_SINK_WEB3J_ENDPOINT_OPERATION_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_WEB3J_ENDPOINT_OPERATION_DOC);
        conf.define(CAMEL_SINK_WEB3J_ENDPOINT_POSITION_CONF, ConfigDef.Type.STRING, CAMEL_SINK_WEB3J_ENDPOINT_POSITION_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_WEB3J_ENDPOINT_POSITION_DOC);
        conf.define(CAMEL_SINK_WEB3J_ENDPOINT_PRIORITY_CONF, ConfigDef.Type.STRING, CAMEL_SINK_WEB3J_ENDPOINT_PRIORITY_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_WEB3J_ENDPOINT_PRIORITY_DOC);
        conf.define(CAMEL_SINK_WEB3J_ENDPOINT_SHA_3HASH_OF_DATA_TO_SIGN_CONF, ConfigDef.Type.STRING, CAMEL_SINK_WEB3J_ENDPOINT_SHA_3HASH_OF_DATA_TO_SIGN_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_WEB3J_ENDPOINT_SHA_3HASH_OF_DATA_TO_SIGN_DOC);
        conf.define(CAMEL_SINK_WEB3J_ENDPOINT_SIGNED_TRANSACTION_DATA_CONF, ConfigDef.Type.STRING, CAMEL_SINK_WEB3J_ENDPOINT_SIGNED_TRANSACTION_DATA_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_WEB3J_ENDPOINT_SIGNED_TRANSACTION_DATA_DOC);
        conf.define(CAMEL_SINK_WEB3J_ENDPOINT_SOURCE_CODE_CONF, ConfigDef.Type.STRING, CAMEL_SINK_WEB3J_ENDPOINT_SOURCE_CODE_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_WEB3J_ENDPOINT_SOURCE_CODE_DOC);
        conf.define(CAMEL_SINK_WEB3J_ENDPOINT_TRANSACTION_HASH_CONF, ConfigDef.Type.STRING, CAMEL_SINK_WEB3J_ENDPOINT_TRANSACTION_HASH_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_WEB3J_ENDPOINT_TRANSACTION_HASH_DOC);
        conf.define(CAMEL_SINK_WEB3J_ENDPOINT_TTL_CONF, ConfigDef.Type.STRING, CAMEL_SINK_WEB3J_ENDPOINT_TTL_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_WEB3J_ENDPOINT_TTL_DOC);
        conf.define(CAMEL_SINK_WEB3J_ENDPOINT_VALUE_CONF, ConfigDef.Type.STRING, CAMEL_SINK_WEB3J_ENDPOINT_VALUE_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_WEB3J_ENDPOINT_VALUE_DOC);
        conf.define(CAMEL_SINK_WEB3J_ENDPOINT_BASIC_PROPERTY_BINDING_CONF, ConfigDef.Type.BOOLEAN, CAMEL_SINK_WEB3J_ENDPOINT_BASIC_PROPERTY_BINDING_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_WEB3J_ENDPOINT_BASIC_PROPERTY_BINDING_DOC);
        conf.define(CAMEL_SINK_WEB3J_ENDPOINT_SYNCHRONOUS_CONF, ConfigDef.Type.BOOLEAN, CAMEL_SINK_WEB3J_ENDPOINT_SYNCHRONOUS_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_WEB3J_ENDPOINT_SYNCHRONOUS_DOC);
        conf.define(CAMEL_SINK_WEB3J_COMPONENT_CONFIGURATION_CONF, ConfigDef.Type.STRING, CAMEL_SINK_WEB3J_COMPONENT_CONFIGURATION_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_WEB3J_COMPONENT_CONFIGURATION_DOC);
        conf.define(CAMEL_SINK_WEB3J_COMPONENT_LAZY_START_PRODUCER_CONF, ConfigDef.Type.BOOLEAN, CAMEL_SINK_WEB3J_COMPONENT_LAZY_START_PRODUCER_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_WEB3J_COMPONENT_LAZY_START_PRODUCER_DOC);
        conf.define(CAMEL_SINK_WEB3J_COMPONENT_BASIC_PROPERTY_BINDING_CONF, ConfigDef.Type.BOOLEAN, CAMEL_SINK_WEB3J_COMPONENT_BASIC_PROPERTY_BINDING_DEFAULT, ConfigDef.Importance.MEDIUM, CAMEL_SINK_WEB3J_COMPONENT_BASIC_PROPERTY_BINDING_DOC);
        return conf;
    }
}